Subject: Re: bug#3325: 23.0.93; Unexpected font for composed character
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Alan Third <[email-masked]>, [email-masked], Markus Triska <[email-masked]>, Kenichi Handa <[email-masked]>
Date: Wed, 12 Aug 2020 18:41:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> This still happens in Emacs 25, but from the above description it
>> doesn't really sound like a bug. It's Emacs working around the fact that
>> the font doesn't have the glyph.
>>
>>> It may be good that Emacs knows that `u'+U+308 = `ü', but
>>> that kind of normalization is not yet supported.
>>
>> I'm changing this bug report to wishlist.
>
> If I try this (i.e., load a file with ü in it, or say (insert ?u
> #x308)), I get the following:
>
>              position: 1 of 2 (0%), column: 0
>             character: u (displayed as u) (codepoint 117, #o165, #x75)
>               charset: ascii (ASCII (ISO646 IRV))
> code point in charset: 0x75
>                script: latin
>                syntax: w 	which means: word
>              category: .:Base, L:Left-to-right (strong), a:ASCII, l:Latin, r:Roman
>              to input: type "C-x 8 RET 75" or "C-x 8 RET LATIN SMALL LETTER U"
>           buffer code: #x75
>             file code: #x75 (encoded by coding system utf-8)
>               display: composed to form "ü" (see below)
>
> Composed with the following character(s) "̈" using this font:
>   xfthb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-25-*-*-*-m-0-iso10646-1
> by these glyphs:
>   [0 1 117 190 15 2 13 19 0 nil]
>
> Character code properties: customize what to show
>   name: LATIN SMALL LETTER U
>   general-category: Ll (Letter, Lowercase)
>   decomposition: (117) ('u')
>
> And the display looks correct.  So it seems like this has been fixed
> now?

Since there has been no further update here within 40 weeks, I'm going
to assume yes and close this bug report.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas